module.exports = (db, DataTypes) => {
    return db.define("merchant", {
        name: DataTypes.STRING,
        short_name: DataTypes.STRING,
        credit_code: DataTypes.STRING,
        tax_type: DataTypes.STRING,
        business_lincense_img: DataTypes.STRING,
        account_name: DataTypes.STRING,
        account_bank_name: DataTypes.STRING,
        account_bank_no: DataTypes.STRING,
        account_mobile: DataTypes.STRING,
        contact_man: DataTypes.STRING,
        contact_mobile: DataTypes.STRING,
        contact_email: DataTypes.STRING,
        contact_addr: DataTypes.STRING,
        bd_id: DataTypes.STRING,
        bd_mobile: DataTypes.STRING,
        bd_email: DataTypes.STRING,
        audit_status: DataTypes.TINYINT,
        audit_remark: DataTypes.STRING,
        audit_user_id: DataTypes.STRING,

    },{
        paranoid: true, //假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        //freezeTableName: true,
        // define the table's name
        tableName: 'e_merchant',
        validate: {},
        indexes: [
            // Create a unique index on email
            //  {
            //    unique: true,
            //    fields: ['email']
            //  },
            //
            //  // Creates a gin index on data with the jsonb_path_ops operator
            //  {
            //    fields: ['data'],
            //    using: 'gin',
            //    operator: 'jsonb_path_ops'
            //  },
            //
            //  // By default index name will be [table]_[fields]
            //  // Creates a multi column partial index
            //  {
            //    name: 'public_by_author',
            //    fields: ['author', 'status'],
            //    where: {
            //      status: 'public'
            //    }
            //  },
            //
            //  // A BTREE index with a ordered field
            //  {
            //    name: 'title_index',
            //    method: 'BTREE',
            //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
            //  }
        ],
    });
}
